Package org.kapott.hbci.sepa.jaxb.camt_052_001_01

## Class RateTypeChoice

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_01.RateTypeChoice

    public class RateTypeChoice
    extends java.lang.Object

Java class for RateTypeChoice complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="RateTypeChoice">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice>
               <element name="PctgRate" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}PercentageRate"/>
               <element name="TxtlRate" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}Max35Text"/>
             </choice>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.math.BigDecimal` `pctgRate`
`protected java.lang.String` `txtlRate`

### Constructor Summary

Constructors
`RateTypeChoice()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.math.BigDecimal` `getPctgRate()` Gets the value of the pctgRate property.
`java.lang.String` `getTxtlRate()` Gets the value of the txtlRate property.
`void` `setPctgRate​(java.math.BigDecimal value)` Sets the value of the pctgRate property.
`void` `setTxtlRate​(java.lang.String value)` Sets the value of the txtlRate property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### pctgRate

    protected java.math.BigDecimal pctgRate

#### txtlRate

    protected java.lang.String txtlRate

### Constructor Detail

#### RateTypeChoice

    public RateTypeChoice()

### Method Detail

#### getPctgRate

    public java.math.BigDecimal getPctgRate()

Gets the value of the pctgRate property.

Returns:
  possible object is `BigDecimal`

#### setPctgRate

    public void setPctgRate​(java.math.BigDecimal value)

Sets the value of the pctgRate property.

Parameters:
  `value` - allowed object is `BigDecimal`

#### getTxtlRate

    public java.lang.String getTxtlRate()

Gets the value of the txtlRate property.

Returns:
  possible object is `String`

#### setTxtlRate

    public void setTxtlRate​(java.lang.String value)

Sets the value of the txtlRate property.

Parameters:
  `value` - allowed object is `String`